## ros-humble-mrpt-pf-localization 2.0.1

=== debian/changelog ===
ros-humble-mrpt-pf-localization (2.0.1-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-mrpt-pf-localization (2.0.0-1bookworm) bookworm; urgency=high

  * unit test executable now accepts many env var arguments for use in batch tests
  * More relocalization parameters
  * pf-test: fix static not POD warnings, and support env var-based config file too
  * Fix for latest mp2p_icp api
  * Implement relocalization based on ICP
  * fix relocalization with reference pointmaps
  * code clean up; check convergence in unit test
  * Do not update the PF if there are no usable observations
  * use pf/m² to initialize; estimate twist
  * Expose gnns topic in the launch file
  * GNNS-based initialization
  * Comply with ROS2 REP-2003
  * use namespaces for launch files
  * allow overriding map likelihood options
  * Show more debug info on metric map likelihood options
  * New param for core-only debug level
  * enable running the test from an MM file
  * Receive gridmap from ROS topic
  * Clearer warn messages
  * Reorganize launch and demo files
  * Prepare demo launch files
  * Port mrpt localization to ROS 2 and whole refactor
  * Renamed: mrpt_localization: mrpt_pf_localization
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-mrpt-pf-localization (1.0.3-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-mrpt-pf-localization (1.0.2-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-mrpt-pf-localization (1.0.1-1bookworm) bookworm; urgency=high

  * fix all build errors; removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * modernize cmake
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 16:00:00 -0000

ros-humble-mrpt-pf-localization (1.0.0-1bookworm) bookworm; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #118 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/118> from mx-robotics/ag-remove_laser_tf_cache
    continuous laser pose update from tf tree fag added
  * added ROS parameter continuous sensor pose update
  * Fix incorrect publication of estimated pose (Closes: #117 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/117>)
  * Contributors: Jose Luis Blanco Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.26-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.25-1bookworm) bookworm; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.24-1bookworm) bookworm; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.23-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.22-1bookworm) bookworm; urgency=high

  * fix all catkin_lint errors
  * remove exec +x flag to cfg files
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 16:00:00 -0000

ros-humble-mrpt-pf-localization (0.1.21-1bookworm) bookworm; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_pf_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_pf_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf

